Page MenuHomePhabricator

edje_cc: fixup edje_collections_lookup hash ids during collection pruning
ClosedPublic

Authored by zmike on May 2 2018, 2:29 PM.

Details

Summary

unused groups are pruned during this stage of edje_cc, and it becomes
necessary to update the values in this hash in order to maintain the
key:value pairing between the Edje_Part_Collection_Directory_Entry and
its corresponding Edje_Part_Collection so that lookups return consistent
results after pruning has completed

@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike requested review of this revision.May 2 2018, 2:29 PM
zmike updated this revision to Diff 14413.
zmike created this revision.
zmike edited the summary of this revision. (Show Details)
zmike added a project: efl.May 2 2018, 4:43 PM
cedric requested changes to this revision.May 25 2018, 10:22 AM
cedric added inline comments.
src/bin/edje/edje_cc_out.c
3761

Doesn't that means that their is a reference to the old id left in edje_collections_lookup ? Shouldn't we remove it ?

This revision now requires changes to proceed.May 25 2018, 10:22 AM
zmike added inline comments.May 25 2018, 10:32 AM
src/bin/edje/edje_cc_out.c
3761

That should automatically be removed/updated by subsequent iterations of this loop. I guess it could be added to make it explicit if you think that's worthwhile?

cedric added inline comments.May 25 2018, 11:08 AM
src/bin/edje/edje_cc_out.c
3761

I prefer explicit logic to avoid later on understanding side effect.

zmike planned changes to this revision.May 25 2018, 11:16 AM
zmike added inline comments.
src/bin/edje/edje_cc_out.c
3761

Sure, makes sense.

zmike updated this revision to Diff 14793.May 25 2018, 2:57 PM
zmike edited the summary of this revision. (Show Details)

added explicit unsetting for hash members

zmike updated this revision to Diff 14794.May 25 2018, 2:59 PM
zmike edited the summary of this revision. (Show Details)
zmike added a subscriber: Hermet.

@Hermet can you please review this series since @cedric is no longer here? Thanks!

Hermet accepted this revision.Jun 7 2018, 1:28 AM

Looks good to me.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 7 2018, 1:34 AM
This revision was automatically updated to reflect the committed changes.